<?php

/**
 * tip_ret_short actions.
 *
 * @package    contab2
 * @subpackage tip_ret_short
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class tip_ret_shortActions extends sfActions {

    /**
     * Executes index action
     *
     * @param sfRequest $request A request object
     */
    public function executeList(sfWebRequest $request) {

        $records = CN_TABLE::getAll('CN_TIPO_RETENCION');

        $res = array();

        foreach ($records as $record) {

            $datos = array(
                'id_tipo_retencion' => $record['id_tipo_retencion'],
                'nom_corto' => $record['nom_corto']
            );

            $res[] = $datos;
        }

        $this->list_data = $res;
    }

}
